Loading...
Searching...
No Matches
Program.h File Reference
`#include <set>`
`#include <unordered_map>`
`#include <vector>`
`#include <glm/fwd.hpp>`
`#include <globjects/base/ChangeListener.h>`
`#include <globjects/base/Changeable.h>`
`#include <globjects/base/ref_ptr.h>`
`#include <globjects/globjects_api.h>`
`#include <globjects/Object.h>`
`#include <globjects/LocationIdentity.h>`
`#include <globjects/UniformBlock.h>`
`#include <globjects/Program.inl>`

Go to the source code of this file.

## Classes

class | globjects::Program
| Wraps an OpenGL program. More...

## Namespaces

namespace | globjects
| Contains all the classes that wrap OpenGL functionality.